#### Beyond Linux® From Scratch (systemd Edition) - Version r12.0-1685

### Chapter 10. Graphics and Font Libraries

- Prev

  Potrace-1.16

- Next

  qrencode-4.1.1

- Up
- Home

# Qpdf-11.8.0

## Introduction to Qpdf

The Qpdf package contains command-line programs and a library that does structural, content-preserving transformations on PDF files.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://github.com/qpdf/qpdf/releases/download/v11.8.0/qpdf-11.8.0.tar.gz

- Download MD5 sum: aec6ad628203411cd04fbb7e145ecc72

- Download size: 18 MB

- Estimated disk space required: 256 MB (add 1 MB for tests)

- Estimated build time: 0.5 SBU (using parallelism=4; add 0.5 SBU for tests)

### Qpdf Dependencies

#### Required

libjpeg-turbo-3.0.1

#### Optional

ghostscript-10.02.1, GnuTLS-3.8.3, libtiff-4.6.0, sphinx-7.2.6 with sphinx_rtd_theme-2.0.0, and texlive-20230313 or install-tl-unx

## Installation of Qpdf

Install Qpdf by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr \
          -DCMAKE_BUILD_TYPE=Release  \
          -DBUILD_STATIC_LIBS=OFF     \
          -DCMAKE_INSTALL_DOCDIR=/usr/share/doc/qpdf-11.8.0 \
          .. &&
    make

To test the results, issue: ctest.

Now, as the `root` user:

    make install

## Contents

Installed Programs: fix-qdf, qpdf, and zlib-flate
Installed Library: libqpdf.so
Installed Directories: /usr/lib/cmake/qpdf, /usr/include/qpdf, and /usr/share/doc/qpdf-11.8.0

### Short Descriptions

fix-qdf | is used to repair PDF files in QDF form after editing
qpdf | is used to convert one PDF file to another equivalent PDF file
zlib-flate | is a raw zlib compression program
`libqpdf.so` | contains the Qpdf API functions

- Prev

  Potrace-1.16

- Next

  qrencode-4.1.1

- Up
- Home